Bug 33248 - mod_jk fails to build
mod_jk fails to build
Status: RESOLVED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
PC Linux
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-01-26 16:11 UTC by Andrew Benham
Modified: 2008-10-05 03:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Benham 2005-01-26 16:11:33 UTC
The file 'mod_jk/jk/native/configure.in' does:

APRINCLUDEDIR="-I`$APXS -q APR_INCLUDEDIR`"
APXSCFLAGS="`${APXS} -q CFLAGS` `${APXS} -q EXTRA_CFLAGS` -DHAVE_APR
${APRINCLUDEDIR}"

This goes badly wrong when '$APXS -q APR_INCLUDEDIR' returns more than one
directory and one is doing a shared-only build, (e.g. '$APXS -q APR_INCLUDEDIR'
returns "/apache_src_dir/dir1 /apache_src_dir/dir2" and neither now exist)
because the compiler flags now include:
"-DHAVE_APR -I/dir1 /dir2" - the compiler isn't being told that '/dir2' should
be included, treats it as a file to read, can't, so blows up.

E.g.
/bin/sh /opt/thus/share/apache2/build/libtool --silent --mode=compile gcc
-I/opt/thus/include/apache2  -O2 -march=i386 -mcpu=i686 -g -O2 -march=i386
-mcpu=i686 -g -O2 -march=i386 -mcpu=i686 -g -pthread -DHAVE_APR
-I/var/opt/THUSpbuild/pmeta.10624/THUSapache2/apache2/prefork/srclib/apr/include
/var/opt/THUSpbuild/pmeta.10624/THUSapache2/apache2/srclib/apr/include  -O2
-march=i386 -mcpu=i686 -g -I/usr/include -DLINUX=2 -D_REENTRANT
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_SVID_SOURCE -D_GNU_SOURCE -I /include -I
/include/ -c jk_ajp12_worker.c 
gcc: /var/opt/THUSpbuild/pmeta.10624/THUSapache2/apache2/srclib/apr/include: No
such file or directory
Comment 1 Mladen Turk 2005-03-17 13:33:44 UTC
Fixed in the CVS.
You can try from HEAD or wait for 1.2.9.

Mladen